def draw(routes_name)
  instance_eval(File.read(ServiceLayerRest::Engine.root.join("config/routes/#{routes_name}.rb")))
end

def draw_deeper(modules_name, routes_name)
  instance_eval(File.read(ServiceLayerRest::Engine.root.join("config/routes/#{modules_name}/#{routes_name}.rb")))
end

ServiceLayerRest::Engine.routes.draw do

  devise_for :users, :class_name => "ServiceLayerRest::User", :module => :devise

  # REST-API
  constraints( :format => 'json' ) do
    draw :my_pep

    draw :authorizations
    draw :users
    draw :staff_schedulings
    draw_deeper(:staff_schedulings, :daily_data)
    draw :workflows

    scope "/api" do
        scope "/v1" do
            get '/get_version' => "application#get_version"
        end
    end
  end
end
